Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

current: {"node":"v0.10.29","npm":"1.4.14"}) Giving Error. #5479

Closed
ashu-daffodil opened this Issue Jun 14, 2014 · 2 comments

Comments

Projects
None yet
3 participants

I'm trying to deploy my app on heroku but getting error as given below.
It was working fine a few hours back.

Error Stack : 
------------------------------------------------------------------------------
 Writing a custom .npmrc to circumvent npm bugs
-----> Exporting config vars to environment
-----> Installing dependencies
       npm WARN package.json AFBv1@1.1.0 No README data
       npm WARN engine ApplaneApps@1.0.0: wanted: {"node":"0.10.28"} (current: {"node":"v0.10.29","npm":"1.4.14"})
       npm ERR! Error: ENOENT, open '/app/tmp/npm-578-oejyzqru/1402749976500-0.9210343137383461/tmp.tgz-unpack/package.json'
       npm ERR! If you need help, you may report this *entire* log,
       npm ERR! including the npm and node versions, at:
       npm ERR!     <http://github.com/npm/npm/issues>

       npm ERR! System Linux 3.8.11-ec2
       npm ERR! command "/tmp/build_a9180c72-374a-40e9-82ba-6127d369dcc9/vendor/node/bin/node" "/tmp/build_a9180c72-374a-40e9-82ba-6127d369dcc9/vendor/node/bin/npm" "install" "--userconfig" "/tmp/build_a9180c72-374a-40e9-82ba-6127d369dcc9/.npmrc" "--production"
       npm ERR! cwd /tmp/build_a9180c72-374a-40e9-82ba-6127d369dcc9
       npm ERR! node -v v0.10.29
       npm ERR! npm -v 1.4.14
       npm ERR! path /app/tmp/npm-578-oejyzqru/1402749976500-0.9210343137383461/tmp.tgz-unpack/package.json
       npm ERR! code ENOENT
       npm ERR! errno 34
^C

@iarna iarna added the support label Sep 19, 2014

Contributor

smikes commented Nov 20, 2014

Is this still a problem for you?

There have been a lot of improvements to npm -- especially around conflicts and race conditions during install -- since 1.4.14. Can you try updating your npm installation?

To update npm, run npm -g install npm@latest <--- you can also include this in heroku deploy scripts or travis CI scripts.

We are trying to clean up older npm issues, so if we don't hear back from you within a week, we will close this issue. (Don't worry -- you can always come back again and re-open it!)

Thanks!

I've left Heroku now.

It was their issue and it was just momentarily.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment